Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface JbossesbDocument.Jbossesb

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  JbossesbDocumentImpl.JbossesbImpl

Enclosing interface:
  JbossesbDocument

    public static interface JbossesbDocument.Jbossesb

extends org.apache.xmlbeans.XmlObject

An XML jbossesb(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `JbossesbDocument.Jbossesb.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`org.apache.xmlbeans.XmlAnySimpleType` | `addNewParameterReloadSecs()` Appends and returns a new empty "parameterReloadSecs" attribute
`ProvidersDocument.Providers` | `addNewProviders()` Appends and returns a new empty "providers" element
`ServicesDocument.Services` | `addNewServices()` Appends and returns a new empty "services" element
`org.apache.xmlbeans.XmlAnySimpleType` | `getParameterReloadSecs()` Gets the "parameterReloadSecs" attribute
`ProvidersDocument.Providers` | `getProviders()` Gets the "providers" element
`ServicesDocument.Services` | `getServices()` Gets the "services" element
`boolean` | `isSetParameterReloadSecs()` True if has "parameterReloadSecs" attribute
`boolean` | `isSetProviders()` True if has "providers" element
`boolean` | `isSetServices()` True if has "services" element
`void` | `setParameterReloadSecs(org.apache.xmlbeans.XmlAnySimpleType parameterReloadSecs)` Sets the "parameterReloadSecs" attribute
`void` | `setProviders(ProvidersDocument.Providers providers)` Sets the "providers" element
`void` | `setServices(ServicesDocument.Services services)` Sets the "services" element
`void` | `unsetParameterReloadSecs()` Unsets the "parameterReloadSecs" attribute
`void` | `unsetProviders()` Unsets the "providers" element
`void` | `unsetServices()` Unsets the "services" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getProviders

    ProvidersDocument.Providers getProviders()

  Gets the "providers" element

### isSetProviders

    boolean isSetProviders()

  True if has "providers" element

### setProviders

    void setProviders(ProvidersDocument.Providers providers)

  Sets the "providers" element

### addNewProviders

    ProvidersDocument.Providers addNewProviders()

  Appends and returns a new empty "providers" element

### unsetProviders

    void unsetProviders()

  Unsets the "providers" element

### getServices

    ServicesDocument.Services getServices()

  Gets the "services" element

### isSetServices

    boolean isSetServices()

  True if has "services" element

### setServices

    void setServices(ServicesDocument.Services services)

  Sets the "services" element

### addNewServices

    ServicesDocument.Services addNewServices()

  Appends and returns a new empty "services" element

### unsetServices

    void unsetServices()

  Unsets the "services" element

### getParameterReloadSecs

    org.apache.xmlbeans.XmlAnySimpleType getParameterReloadSecs()

  Gets the "parameterReloadSecs" attribute

### isSetParameterReloadSecs

    boolean isSetParameterReloadSecs()

  True if has "parameterReloadSecs" attribute

### setParameterReloadSecs

    void setParameterReloadSecs(org.apache.xmlbeans.XmlAnySimpleType parameterReloadSecs)

  Sets the "parameterReloadSecs" attribute

### addNewParameterReloadSecs

    org.apache.xmlbeans.XmlAnySimpleType addNewParameterReloadSecs()

  Appends and returns a new empty "parameterReloadSecs" attribute

### unsetParameterReloadSecs

    void unsetParameterReloadSecs()

  Unsets the "parameterReloadSecs" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD